package org.springblade.customer.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springblade.customer.dto.LlAllin1Cs10010DTO;
import org.springblade.customer.dto.LlAllin1CsPrmDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class LlAllin1CsPrmListener extends AnalysisEventListener<LlAllin1CsPrmDTO> {

	public List<LlAllin1CsPrmDTO> list = new ArrayList<LlAllin1CsPrmDTO>();

	public boolean sysHead = true;

	public LlAllin1CsPrmListener() {
	}


	@Override
	public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) {
	}

	@Override
	public void invoke(LlAllin1CsPrmDTO t, AnalysisContext analysisContext) {
		list.add(t);
	}

	@Override
	public void doAfterAllAnalysed(AnalysisContext analysisContext) {
	}


}
